import Component from '../component.js';

export default class CoEuiTimeline extends Component {
  constructor(parent) {
    let selector = 'eui-timeline';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-timeline/eui-timeline.component.html?at=master
  }
  async isLeftAligned() {
    return await (await $(this.currentPath + '/self::*[contains(@class,"eui-timeline--left-aligned")]')).isExisting();
  }
}
